package com.lubjam16.epiceggsmash.game;

/**
 * Created by stonek on 1/30/16.
 */
public enum GameMenuOption {
    RESTART_ROUND,
    RESTART_GAME,
    QUIT;

    public GameMenuOption getNext() {
        switch (this){
            case QUIT:
                return RESTART_ROUND;
            case RESTART_GAME:
                return QUIT;
            case RESTART_ROUND:
                return RESTART_GAME;
            default:
                return QUIT;
        }
    }

    public GameMenuOption getPrevious() {
        switch (this){
            case QUIT:
                return RESTART_GAME;
            case RESTART_GAME:
                return RESTART_ROUND;
            case RESTART_ROUND:
                return QUIT;
            default:
                return QUIT;
        }
    }
}
